org.apache.hc.client5.http.impl.auth

## Class HttpAuthenticator

- java.lang.Object
- - org.apache.hc.client5.http.impl.auth.AuthenticationHandler
  - - org.apache.hc.client5.http.impl.auth.HttpAuthenticator

Deprecated.
Do not use.

    @Deprecated
     @Contract(threading=STATELESS)
    public final class HttpAuthenticator
    extends AuthenticationHandler

### Constructor Summary

Constructors
Constructor and Description
`HttpAuthenticator()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `addAuthResponse(org.apache.hc.core5.http.HttpHost host, ChallengeType challengeType, org.apache.hc.core5.http.HttpRequest request, AuthExchange authExchange, org.apache.hc.core5.http.protocol.HttpContext context)` Deprecated. Generates a response to the authentication challenge based on the actual `AuthExchange` state and adds it to the given `HttpRequest` message .
`boolean` `isChallenged(org.apache.hc.core5.http.HttpHost host, ChallengeType challengeType, org.apache.hc.core5.http.HttpResponse response, AuthExchange authExchange, org.apache.hc.core5.http.protocol.HttpContext context)` Deprecated. Determines whether the given response represents an authentication challenge, and updates the `AuthExchange` state.
`boolean` `updateAuthState(org.apache.hc.core5.http.HttpHost host, ChallengeType challengeType, org.apache.hc.core5.http.HttpResponse response, AuthenticationStrategy authStrategy, AuthExchange authExchange, org.apache.hc.core5.http.protocol.HttpContext context)` Deprecated.

### Methods inherited from class org.apache.hc.client5.http.impl.auth.AuthenticationHandler

`extractChallengeMap, handleResponse, isChallengeExpected`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpAuthenticator

    public HttpAuthenticator()

Deprecated.

### Method Detail

#### isChallenged

    public boolean isChallenged(org.apache.hc.core5.http.HttpHost host,
                                ChallengeType challengeType,
                                org.apache.hc.core5.http.HttpResponse response,
                                AuthExchange authExchange,
                                org.apache.hc.core5.http.protocol.HttpContext context)

Deprecated.
Description copied from class: `AuthenticationHandler`
Determines whether the given response represents an authentication challenge, and updates the `AuthExchange` state.

Overrides:
  `isChallenged` in class `AuthenticationHandler`
Parameters:
  `host` - the hostname of the opposite endpoint.
  `challengeType` - the challenge type (target or proxy).
  `response` - the response message head.
  `authExchange` - the current authentication exchange state. Gets updated.
  `context` - the current execution context.
Returns:
  `true` if the response message represents an authentication challenge, `false` otherwise.

#### updateAuthState

    public boolean updateAuthState(org.apache.hc.core5.http.HttpHost host,
                                   ChallengeType challengeType,
                                   org.apache.hc.core5.http.HttpResponse response,
                                   AuthenticationStrategy authStrategy,
                                   AuthExchange authExchange,
                                   org.apache.hc.core5.http.protocol.HttpContext context)

Deprecated.

#### addAuthResponse

    public void addAuthResponse(org.apache.hc.core5.http.HttpHost host,
                                ChallengeType challengeType,
                                org.apache.hc.core5.http.HttpRequest request,
                                AuthExchange authExchange,
                                org.apache.hc.core5.http.protocol.HttpContext context)

Deprecated.
Description copied from class: `AuthenticationHandler`
Generates a response to the authentication challenge based on the actual `AuthExchange` state and adds it to the given `HttpRequest` message .

Overrides:
  `addAuthResponse` in class `AuthenticationHandler`
Parameters:
  `host` - the hostname of the opposite endpoint.
  `challengeType` - the challenge type (target or proxy).
  `request` - the request message head.
  `authExchange` - the current authentication exchange state.
  `context` - the current execution context.